package data

import (
	"git.loafle.net/commons_go/logging"
	crc "git.loafle.net/commons_go/rpc/client"
	oogwc "git.loafle.net/overflow/overflow_gateway_websocket/client"
)

func newClientHandler() oogwc.ClientHandler {
	ch := &ClientHandlers{}
	ch.ClientHandler = oogwc.NewClientHandler(nil)

	return ch
}

type ClientHandlers struct {
	oogwc.ClientHandler
}

func (ch *ClientHandlers) Init(clientCTX crc.ClientContext) error {
	logging.Logger().Infof("Probe Data: client has been initialized")

	return nil
}

func (ch *ClientHandlers) Destroy(clientCTX crc.ClientContext) {
	logging.Logger().Infof("Probe Data: client has been destroyed")
}
